import { ClerkLoaded, ClerkProvider } from "@clerk/nextjs";
import Footer from "@/_components/Footer";
import Header from "@/_components/Header";
import "@/globals.css";
import { dark } from "@clerk/themes";
import { Analytics } from "@vercel/analytics/react";

export const metadata = {
  title: "Sprint Padawan",
  description: "Plan. Sprint. Repeat.",
};

export default function RootLayout({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <ClerkProvider
      appearance={{
        baseTheme: dark,
      }}
    >
      <html
        data-theme="synthwave"
        lang="en"
        className="h-[100%] w-[100%] fixed overflow-y-auto"
      >
        <body className="h-[100%] w-[100%] fixed overflow-y-auto">
          <ClerkLoaded>
            <Header title={metadata.title} />
            <div className="flex flex-row items-center justify-center min-h-[calc(100%-114px)]">
              {children}
              <Analytics />
            </div>
            <Footer />
          </ClerkLoaded>
        </body>
      </html>
    </ClerkProvider>
  );
}
